Subject: September payment support
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 26 Oct 2001 12:01:06 -0700 (PDT)

Accounting has received a wire that they are now looking for backup.
Their initial review indicates that the pricing seems low.  I know that
pricing is pretty pitiful, but Gas Daily monthly average for Sept was
about $1.55 per MM.  Please forward the backup today if possible so we
can review.  Thanks............